# Method: accounts.updatelabels

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.AccountsUpdateLabelsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#body.aspect)
- [AccountsUpdateLabelsRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#AccountsUpdateLabelsRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#AccountsUpdateLabelsRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#try-it)

Updates labels that are assigned to the Merchant Center account by CSS user.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}/updatelabels`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. |
| `accountId` | `string` The ID of the account whose labels are updated. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels#AccountsUpdateLabelsRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accountsUpdateLabelsResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AccountsUpdateLabelsRequest

| JSON representation |
|---|
| ``` { "labelIds": [ string ] } ``` |

| Fields ||
|---|---|
| `labelIds[]` | `string` The IDs of labels that should be assigned to the account. |